3.3.1 PPC Compiler vs. 2.9.5 Compiler issue with libcpp.so

bridged with qnx.development_tools
Post Reply
bestey

3.3.1 PPC Compiler vs. 2.9.5 Compiler issue with libcpp.so

Post by bestey » Thu May 05, 2005 7:53 pm

Hi all,

I'm at my wit's end trying to get an application to run on a PPC
board. I need to link with the 3.3.1 cpp library but when I do this
my application hangs on startup.

I've gone so far as to create a hello world application that links in
the cpp library and it too doesn't start up properly.

My makefile does essentially this :

cc -c -V3.3.1,gcc_ntoppcbe_cpp hello.c -o hello.o
cc -V3.3.1,gcc_ntoppcbe_cpp -lc -lcpp hello.o -o hello

now this executable hangs on startup. If I remove the -lcpp from the
linking, it will start fine. I've tried it as a hello.cpp file as
well, just in case that makes a difference, but to no avail.

I've previously used the 2.9.5 compiler without incident, but we are
upgrading our app to use 3.3.1 and this is causing great headaches.
Any help or suggestions that anyone has would be greatly appreciated.


Thanks in advance,

Brian

Post Reply

Return to “qnx.development_tools”